<script lang="ts">
import { defineComponent } from 'vue';

export default defineComponent({
  name: 'HdwTree',
  data() {
    return {
      defaultProps: {
        children: 'children',
        label: 'label'
      },
      data: [
        {
          label: '河南省',
          children: [
            {
              label: '驻马店市',
              children: [
                {
                  label: '上蔡县'
                },
                {
                  label: '确山县'
                }
              ]
            }
          ]
        },
        {
          label: '湖北省',
          children: [
            {
              label: '武汉市',
              children: [
                {
                  label: '东西湖区'
                },
                {
                  label: '青山区'
                }
              ]
            }
          ]
        }
      ]
    };
  },
  methods: {
    handleNodeClick(data) {
      console.log(data);
    }
  }
});
</script>

<template>
  <el-scrollbar>
    <el-tree
        style="max-width: 600px"
        :data="data"
        :props="defaultProps"
        @node-click="handleNodeClick"
    />
  </el-scrollbar>
</template>

<style scoped lang="scss">

</style>
